<template>
  <div>
    <div v-if="$fetchState.pending" class="fetch-pending">
            <Loader />
          </div>
          <div v-else-if="$fetchState.error" class="fetch-error">
            Что то пошло не так =(
          </div>
      <div v-else class="common blog-single mt-100 pt-48">
    <div class="container relative">
      <div class="row">
        <div class="col-12 mb-48 page-titles">
          <div v-if="blogSlug" class="wrapper pr-100 pl-100 pt-28 pb-28">

            <div class="d-flex align-items-center mb-48">
              <img v-if="blogSlug.title_logo_url" :src="blogSlug.title_logo_url" alt="">
              <svg
                  v-else
                width="39"
                height="39"
                viewBox="0 0 39 39"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M32.6579 35.1031C33.734 35.1031 34.6064 34.2307 34.6064 33.1546C34.6064 32.0785 33.734 31.2061 32.6579 31.2061C31.5818 31.2061 30.7094 32.0785 30.7094 33.1546C30.7094 34.2307 31.5818 35.1031 32.6579 35.1031ZM32.6579 39.0001C35.8863 39.0001 38.5034 36.383 38.5034 33.1546C38.5034 29.9262 35.8863 27.3091 32.6579 27.3091C29.4295 27.3091 26.8124 29.9262 26.8124 33.1546C26.8124 36.383 29.4295 39.0001 32.6579 39.0001Z"
                  fill="white"
                />
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M25.8381 3.92704C23.1478 3.92704 20.9668 6.10797 20.9668 8.79829V30.2318C20.9668 35.0744 17.0411 39.0001 12.1986 39.0001C7.35598 39.0001 3.4303 35.0744 3.4303 30.2318V15.6181C3.4303 14.5419 4.30267 13.6695 5.3788 13.6695C6.45493 13.6695 7.3273 14.5419 7.3273 15.6181V30.2318C7.3273 32.9221 9.50824 35.1031 12.1986 35.1031C14.8889 35.1031 17.0698 32.9221 17.0698 30.2318V8.79829C17.0698 3.95571 20.9955 0.0300293 25.8381 0.0300293C30.6807 0.0300293 34.6063 3.95571 34.6063 8.79829V21.4636C34.6063 22.5397 33.734 23.4121 32.6578 23.4121C31.5817 23.4121 30.7093 22.5397 30.7093 21.4636V8.79829C30.7093 6.10797 28.5284 3.92704 25.8381 3.92704Z"
                  fill="white"
                />
                <path
                  d="M3.69571 0.966708C4.44759 -0.322237 6.30997 -0.322235 7.06186 0.96671L10.4892 6.84216C11.2469 8.14114 10.31 9.77246 8.80613 9.77246H1.95144C0.447601 9.77246 -0.489378 8.14114 0.268362 6.84216L3.69571 0.966708Z"
                  fill="white"
                />
              </svg>

              <h1 class="ml-18">{{ blogSlug.title }}</h1>
            </div>
            <img :src="blogSlug.image_url" class="mb-48 img-fluid" alt="Trucking pics" />
            <div v-html="blogSlug.content" class="static-content">
            </div>

          </div>
        </div>
      </div>
      <div class="to-top" ref="up" @click="up()">
        <svg width="45" height="45" viewBox="0 0 45 45" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" clip-rule="evenodd" d="M26.25 3.75H15C9.82233 3.75 5.625 7.94733 5.625 13.125V31.875C5.625 37.0527 9.82233 41.25 15 41.25H30C35.1777 41.25 39.375 37.0527 39.375 31.875V16.875C39.375 16.8736 39.375 16.8721 39.375 16.8707C39.375 16.8686 39.375 16.8666 39.375 16.8645C39.3745 16.2916 39.1172 15.7789 38.7119 15.4353L27.5765 4.29984L27.5758 4.29917C27.2242 3.94754 26.7473 3.75 26.25 3.75ZM24.375 7.49832L15 7.5C11.8934 7.5 9.375 10.0184 9.375 13.125V31.875C9.375 34.9816 11.8934 37.5 15 37.5H30C33.1066 37.5 35.625 34.9816 35.625 31.875V18.7423L30.0112 18.7463C27.0002 18.75 24.5512 16.4067 24.3841 13.4553L24.375 13.125V7.49832ZM32.9672 14.9953L28.125 10.1531V13.1277C28.1236 14.0875 28.8462 14.8792 29.7784 14.9874L29.9662 14.9981L32.9672 14.9953Z" fill="#391484"/>
          <g opacity="0.5">
            <path fill-rule="evenodd" clip-rule="evenodd" d="M23.5614 19.0791C23.2596 18.8715 22.894 18.75 22.5 18.75C22.106 18.75 21.7404 18.8715 21.4386 19.0791L15.8349 22.8149L15.66 22.9467C14.9442 23.5541 14.7815 24.615 15.3149 25.4151L15.4467 25.59C16.0541 26.3058 17.115 26.4685 17.9151 25.9351L20.625 24.1286V31.875L20.6376 32.0937C20.7459 33.0262 21.5384 33.75 22.5 33.75C23.5355 33.75 24.375 32.9105 24.375 31.875V24.1286L27.0849 25.9351L27.2739 26.0459C28.1098 26.473 29.1517 26.2151 29.6851 25.4151C30.2595 24.5534 30.0267 23.3893 29.1651 22.8149L23.5614 19.0791Z" fill="#391484"/>
          </g>
        </svg>
      </div>
    </div>

  </div>
  </div>
</template>

<script>
import {mapState} from "vuex";

export default {
  head() {
    return {
      title: this.blogSlug.title,
      // meta: this.blogSlug?.meta,
      meta: [
        {
          hid: this.blogSlug.title,
          name: 'description',
          content: this.blogSlug?.meta[0]?.name,
        },
        {
          hid: this.blogSlug.title + " " + 'keywords',
          name: 'keywords',
          content: this.blogSlug?.meta[0]?.content,
        },
      ],
    };
  },

  data() {
    return {
    height: undefined,
      scrollTop: undefined
    }
  },
  layout: "pages",


  async fetch() {
    await this.$store.dispatch("fetchBlogSlug", this.$route.params.slug);
  },

  computed: {
    ...mapState({
      blogSlug: (state) => state.blogSlug,
    }),
  },
  created() {
    if (process.client) {
      this.height = window.innerHeight
      window.addEventListener("scroll", this.handleScroll);
    }
  },

  methods: {
    handleScroll() {
      this.scrollTop = process.client ? window.pageYOffset : 0;
      if(this.scrollTop > 300) {
      this.$refs.up.classList.add('active-up')
      } else  {
        this.$refs.up.classList.remove('active-up')
      }
    },
    up () {
      window.scrollTo(0, 0 )
    }
  },
  beforeDestroy() {
    window.removeEventListener("scroll", this.handleScroll);
  },
};
</script>
